#
# spec file for package fontobene-qt5
#
# Copyright (c) 2021 SUSE LLC
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via https://bugs.opensuse.org/
#


Name:           fontobene-qt5
Version:        0.2.0
Release:        bp155.2.10
Summary:        FontoBene parser for Qt5 (header-only)
License:        Apache-2.0 OR MIT
URL:            https://github.com/fontobene/fontobene-qt5
Source0:        https://github.com/fontobene/fontobene-qt5/archive/%{version}.tar.gz#/%{name}-%{version}.tar.gz
BuildRequires:  cmake
BuildRequires:  pkgconfig
BuildRequires:  pkgconfig(Qt5Core)

%description
A header-only library to parse FontoBene stroke fonts with C++/Qt5.

%package devel
Summary:        FontoBene parser for Qt5 (header-only)

%description devel
A header-only library to parse FontoBene stroke fonts with C++/Qt5.

%prep
%autosetup -p1

%build
%cmake
%cmake_build

%install
%cmake_install
install -Dm0755 fontobene-qt5.pc.example %{buildroot}%{_libdir}/pkgconfig/%{name}.pc

%files devel
%license LICENSE-APACHE LICENSE-MIT
%doc CHANGELOG.md README.md
%{_includedir}/%{name}
%{_libdir}/pkgconfig/%{name}.pc

%changelog
* Fri Jan  1 2021 Luigi Baldoni <aloisio@gmx.com>
- Update to version 0.2.0
  * Added upport for CMake.
  * Fixed wrong include path in example pkg-config file.
  * Don't pass "SkipEmptyParts" when splitting polylines.
- Drop fontobene-qt5_no_build.patch (no longer useful)
- Switch build to cmake
* Thu Oct  8 2020 Luigi Baldoni <aloisio@gmx.com>
- Remove superfluous requirement.
* Sun Oct  4 2020 Luigi Baldoni <aloisio@gmx.com>
- Initial package (v0.1.0)
